##Blob Part Two

label blob_part_two:
    #$ blobface = 'neutral'
    show Blob with dissolve
    blob "I'm not surprised to see that we were paired together."
    $ blobface = 'happy'
    blob "That means you'll be coming to take me on in my dungeon, doesn't it?"
    $ blobface = 'neutral'
    blob "The entrance to my dungeon is twenty miles east of here."
    blob "There's an abandoned castle in the Sigoliz Swamp."
    blob "You're going to have to find me after you get there, if you can."
    $ blobface = 'happy'
    blob "I'm excited to see what you can do."
    blob "Come whenever you're ready, and I'll be there."
    blob "Don't keep me waiting!"
    hide Blob with dissolve
    $ music("Stop")
    scene black with dissolve
    play sound "sound/thunder.ogg"
    "A challenge was issued."
    "To eliminate this abomination, you'd first have to find it."
    "Who knows what devilish creatures and diabolical traps awaited you in his lair?"
    "On the plus side, you'd be able to eliminate his minion hordes first..."
    stop sound       
    $ music("Dungeon")
    scene Dungeon with dissolve
    $ blobclothes = '0'
    $ blobface = 'happy2'
    show Blob with dissolve
    blob "You... you made it!"
    blob "I can't believe you made it all the way here."
    blob "That's so amazing."
    blob "Nobody has made it this far in years."
    $ blobface = 'neutral2'
    blob "You have to tell me."
    blob "How did you get past the room full of water?"
    blob "A breathing potion, right?"
    blob "But, how did you handle the poisonous water vipers?"
    blob "There were so many down there, and you had to solve a puzzle!"
    menu:
        "I don't reveal my secrets, and it's time for you to die!":
            jump blob_death
            
        "Explain how you did it.":
            blob "You... really?"
            blob "You killed all of the snakes?"
            blob "Color me impressed."
            blob "I guess the puzzle was too easy too."
            blob "Hmmm...  I know how I can fix that though."
            jump blob_talking
            
label blob_talking:
    blob "How many of my minions did you end up killing?"
    menu:
        "All of them, and now it's your turn!":
            jump blob_death
            
        "I avoided killing them if I could.":
            blob "Really?"
            blob "I'll have to punish them for letting you by then."
            blob "If they are still alive, and you got past them, they failed."
            blob "That will be something else I need to look at then."
            blob "Useless creatures..."
            jump blob_talking2
            
label blob_talking2:
    blob "I have mixed feelings about all of this right now."
    $ blobface = 'mad2'
    blob "On one hand, I'm angry that you got through it all so easily."
    blob "I thought my dungeon was deadlier than that."
    blob "You know how many heroes have come here and died?"
    blob "Hundreds!"
    blob "But you..."
    $ blobface = 'neutral2'
    blob "You're no hero."
    blob "You didn't come here for treasure or anything like that."
    blob "You're here because I invited you!"
    $ blobface = 'happy2'
    blob "So, at the same time, I'm thrilled you made it this far."
    $ blobface = 'neutral2'
    blob "Does that mean you can help me make things even better?"
    blob "Will you help me make my dungeon more famous?"
    menu:
        "There's no point, since I'm here to kill you.":
            jump blob_death
        "We'll make it the most well-known dungeon in the world.":
            $ blobface = 'happy2'
            blob "You mean it?"
            blob "This is absolutely thrilling!"
            blob "There are so many ideas I have."
            blob "We can improve the current dungeon and implement new things..."
            blob "There is so much work to do!"
            jump blob_talking3
            
label blob_talking3:
    $ blobface = 'neutral2'
    blob "It's been ages since I've worked with someone else."
    blob "All of the other monsters here are kind of mindless."
    blob "They don't have anything to offer to me other than their lives."
    blob "It can be infuriating sometimes."
    $ blobface = 'happy2'
    blob "But you're here now!"
    $ blobface = 'neutral2'
    blob "I have to know though..."
    blob "What were your motives for going to the speed dating?"
    blob "I could tell, you weren't there for the fun of it."
    blob "Humans don't show up to those events."
    blob "Why were you really there?"
    menu:
        "I'm a monster hunter.":
            blob "I knew it!"
            blob "You have a very distinct outfit, and I recognized it."
            blob "I've seen plenty of your type over the years."
            blob "They think their motivations are so noble."
            blob "Monsters don't deserve to live."
            blob "Monsters only kill people."
            blob "Monsters are evil"
            $ blobface = 'mad2'
            blob "Blah blah blah!"
            blob "Like they are any better than the monsters!"
            $ blobface = 'neutral2'
            blob "I'll admit, I'm not a good one."
            blob "I quite enjoy my line of work, but it's partially self-defense."
            blob "My dungeon is to protect myself and my treasures."
            blob "If people die down here, it's their fault for trespassing, right?"
            blob "Anyway, you were different than the others I've encountered."
            blob "I could see something more in you."
            blob "You don't care if it's humans or monsters."
            blob "You want to remove those that are a detriment to society."
            blob "It's basically what I do!"
            blob "Thieves and vandals...  They are all lured in here."
            blob "And I remove them!"
            blob "They might even kill a few of my minions from time to time."
            blob "Less problems for you to deal with all around, right?"
            blob "I'm not really all that bad, depending on how you look at it."
            blob "I make sure my minions are paid and fed and have a place to sleep."
            blob "They are all well-taken care of."
            blob "It's just they do a risky job, but they understand that."
            blob "BUT!"
            blob "If my dungeon becomes more famous, stronger enemies will come."
            blob "This means I'll get better gear and weapons to give them."
            blob "It'll even attract stronger monsters that will want to work with me!"
            blob "Everything about it is positive!"
            blob "We really should get started now."
            menu:
                "I should get started...  Killing you!":
                    jump blob_death
                "Time get this dungeon in top shape.":
                    $ blobface = 'happy2'
                    blob "Yes!  Let's work together to make this the best dungeon ever."
                    blob "We shall have the most coveted treasures in the world!"
                    blob "I'm so excited.  Let's get to it!"
                    hide Blob with dissolve
                    scene black with dissolve
                    "So, you worked together to create the most magnificent dungeon the world had ever seen."
                    "Monsters and adventurers came from all over to invade."
                    "This set you up perfectly to work towards your goal of hunting monsters..."
                    "But it also revealed the true evil of humans as well as they sought out wealth and glory."
                    "Were humans really any better than the monsters?"
                    jump end_screen
                        
        "To eliminate the monsters, and it's your turn.":
            jump blob_death
    
label blob_death:
    $ music("Stop")
    blob "That's how it is, huh?"
    $ blobface = 'mad2'
    blob "Are you really ready to try?"
    blob "We could be so much more together, but if this is what you want!"
    blob "I hope you don't plan on underestimating me."
    $ blobface = 'happy2'
    blob "I don't plan on letting you get out of here alive!"
    $ blobface = 'neutral2'
    blob "Wait..."
    blob "You... you have that?"
    blob "How did you..."
    play sound "sound/ice.wav"
    $ blobface = 'death'
    with sshake
    blob "..."
    play sound "sound/shatter.wav"
    hide Blob with sshake
    scene black with dissolve
    with Pause(1)
    "You saw nothing but evil intentions with this monster, so after freezing his body, you shattered him."
    "Creatures like him didn't deserve to be left in the world.  They only sought to kill and harm others."
    "Just like all monsters..."
    $ persistent.blob_death = True
    jump end_screen
    ##Found an ice weapon to use