##Inv Part Two

label inv_part_two:
    $ invface = 'happy'
    show Invisible with dissolve
    inv "Ah!  R..really?"
    inv "It looks like we were the most compatible."
    inv "So...  I guess this means we should spend some more time together."
    inv "How about tomorrow, we meet up?"
    inv "There's a nice little coffee shop in a bookstore we can meet at."
    inv "We can talk and get to know each other a little better."
    inv "It'll be a lot of fun!"
    inv "Let me write down the address for you."
    inv "I... I'm really looking forward to it!"
    inv "Here's the address, so... let's meet around noon, okay?"
    inv "I'll be sitting at a table in the corner of the left side of the coffee shop."
    inv "Right next to the giant potted plant!"
    inv "I guess I'm going home now so..."
    inv "I'll see you tomorrow!"
    hide Invisible
    $ music("Stop")
    scene black with dissolve
    play sound "sound/thunder.ogg"
    "With the night having come to an end and your target acquired, you went home and made preparations for the next day..."
    stop sound
    $ music("Date")
    scene Bookstore with dissolve
    $ invface = 'neutral'
    show Invisible with dissolve
    inv "You're here!"
    inv "I'm so glad that you made it."
    inv "I was a little worried that you... might not show up."
    inv "I got here a little early and have been reading a book."
    menu:
        "What book?":
            inv "It's a mystery novel called 'The Undoing of Keys'."
            inv "It's a murder mystery that takes place in a small town."
            inv "The only clue to the murder is a set of keys left behind."
            inv "Nobody knows what they are for, but it's a huge conspiracy in the town."
            $ invface = 'happy'
            inv "I had a hard time putting it down, it's so enthralling!"
            inv "One day, I hope to evoke the same kind of feelings in my readers."
        "You had nothing better to do?":
            inv "N..not really."
            inv "I was bored at home, so I decided to come out here early."
        "Nobody has noticed the floating book?":
            inv "Nobody ever notices, since I sit nestled away in a corner."
            inv "People never notice me."
            inv "It would be nice, but... I'm used to it by now."
            inv "I can sit here for hours, and nobody will ever come over here."
            
    inv "You're here now though!"
    $ invface = 'neutral'
    inv "I hope this is an okay place for us to hang out at."
    inv "The atmosphere is always so relaxing."
    inv "It's fun to see what kinds of people come through and what books they buy."
    inv "A little game I like to play is guessing what section people will go to."
    inv "You'd be surprised how hard it can be sometimes!"
    inv "It makes the saying 'You can't judge a book by its cover' really shine."
    inv "We can give it a shot, if you're interested?"
    menu:
        "I have something else in mind.":
            inv "Oh?  What do you have in mind?"
            inv "I'm open to anything, so just let me know."
            menu:
                "Murder.":
                    inv "H..huh?"
                    inv "You... want... to read a murder book?"
                    inv "Is that what you..."
                    jump murder_invisble
                    
                "Let's just talk.":
                    inv "Oh, okay.  That's fine with me."
                    jump inv_talking
                
        "You know what, that sounds like fun.":
            $ invface = 'happy'
            inv "Really??"
            inv "I've never done this with someone else."
            inv "Okay!  Let's see..."
            scene black with dissolve
            with Pause(1)
            scene Bookstore 
            show Invisible
            with dissolve
            inv "Heehee, that was fun!"
            inv "You're really good at this."
            $ invface = 'neutral'
            inv "I only guessed one person right, but you got almost all of the others."
            inv "You seem to be a pretty decent judge of character."
            inv "I suppose you've spent a lot of time around other people."
            jump inv_talking
            
        "Do you have any other ideas?":
            inv "We could just talk."
            inv "I hadn't really thought of anything else."
            jump inv_talking
            
label inv_talking:
    inv "Did you have anything in mind you wanted to talk about?"
    menu:
        "What do you do for work?":
            inv "I work from home, since nobody has to see me there."
            inv "Most of what I do is freelance writing work."
            inv "A lot of it is transcribing."
            inv "I've done work for colleges, hospitals and marketing research teams."
            inv "It's an easy job for me, and it pays my bills."
            inv "Not to mention, I work on my own schedule, and I love that."
            inv "What do you do?"
            menu:
                "Exterminate monsters, and it's your time.":
                    inv "You... what?"
                    inv "But, I'm no..."
                    jump murder_invisble
                    
                "Currently unemployed.":
                    inv "Oh, I see."
                    inv "There isn't anything wrong with that."
                    inv "I'm sure you have your reasons, but I won't pry into that."
                    inv "You can always tell me some other time, if you feel comfortable about it."
                    inv "I never thought I'd be able to get a job and sustain myself."
                    inv "But I did it!"
                    inv "Why not?  Because of my invisibility."
                    jump inv_talking_2
                    
        "How did you become invisible?":
            jump inv_talking_2
        
label inv_talking_2:
    $ invface = 'neutral'
    inv "I can tell you more about that now."
    inv "When I was a teenager, my parents were both killed."
    inv "It was a freak accident car crash."
    inv "I had no other family to go to, so I was put into foster care."
    inv "One house I was put into though...  It was run by an evil woman."
    inv "I found out, she was a literal witch."
    $ invface = 'mad'
    inv "She acted like it in every sense of the word too."
    inv "Life was hard.  She was always so cruel to me and the other children there."
    $ invface = 'neutral'
    inv "Some were lucky and got away."
    inv "Me though..."
    inv "I disobeyed her one day, so she dragged me into the basement and forced me to drink something."
    inv "I don't remember much, but I thought it was melting me from the inside."
    inv "I passed out from the pain, and when I woke up..."
    inv "Nobody could see me anymore.  I was invisible."
    inv "It worked in my favor, and I was able to escape."
    inv "After that, I didn't know what to do."
    inv "A lot of my teenage years was spent living in churches and stealing food to survive..."
    inv "I hated living like that, but I didn't have much of a choice."
    inv "My life is mostly stable now though!"
    $ invface = 'happy'
    inv "I... I actually want to do more to help others like me."
    inv "People who have nobody."
    inv "I'll be able to one day!  The monsters accept who I am, so..."
    $ invface = 'neutral'
    inv "Now that I've met them, I know there is a place for me!"
    inv "And I can do what I can to help others that have gone through what I have."
    $ invface = 'happy'
    inv "Oh dear, I just rambled on.  I'm sorry!"
    inv "I hope it isn't boring you."
    menu:
        "It's time for me to end this.":
            $ invface = 'neutral'
            inv "So soon?"
            inv "We've only just started..."
            jump murder_invisble
            
        "I'm glad I get to learn more about you.":
            inv "Oh, okay!  I'm glad to hear it then."
            $ invface = 'happy'
            inv "You seem... really nice."
            inv "I'm happy I get to talk to you."
            inv "I think then... I trust you enough to tell you something else..."
            $ invface = 'neutral'
            inv "Most people would associate me with the invisible man."
            inv "For obvious reasons."
            inv "He was a well-known monster, for some of the things he did."
            $ invface = 'mad'
            inv "I'm nothing like him."
            inv "My invisibility is a curse.  It was thrust upon me."
            inv "I've made the most of it too!"
            inv "In fact, calling me the invisible man is a far cry from who I am."
            $ invface = 'happy'
            inv "In part that I... I..."
            inv "I'm a woman."
            inv "Heeh, you should see your face now."
            $ invface = 'neutral'
            inv "My voice is ambiguous normally, and honestly..."
            inv "Bailey is my real name.  It could be a boy or girl's name!"
            inv "I'm sorry if you thought I was a man, but...  I wanted to see if I could trust you."
            $ invface = 'happy'
            inv "And I think I can."
            menu:                    
                "I trust you too.":
                    inv "You... you do?"
                    inv "I... I never thought I'd find someone that would say that."
                    inv "I'm so happy to hear that."
                    inv "I suppose we can continue this date and see how things go then?"
                    scene black with dissolve
                    "Having spared her life, your date continued."
                    "Being with Bailey opened your eyes, and you realized that everything you considered to be a 'monster', might be wrong."
                    "Perhaps... they deserved to live."
                    "Perhaps, they deserved to be happy in life, just as much as anyone else."
                    "Just because they were different on the outside, didn't mean they were that different on the inside."
                    jump end_screen
                    
                "End her life.":
                    jump murder_invisble
                                       
label murder_invisble:
    $ music("Stop")
    $ invface = 'strangle'
    inv "Urk!" with sshake
    inv "Wh..what a..are you doing?"
    inv "I... I can't br..breathe."
    inv "W..why are... are you d..doing this?"
    inv "I... thought... we... were going...to be... f...fri..end...s."
    inv "Ngh..."
    inv "..."
    play sound "sound/thud.wav"
    hide Invisible with sshake
    inv "..."
    scene black with dissolve
    with Pause(1)
    "You had decided that creatures like this deserved no place in your world, and you were intent on eradicating as many of them as you could."
    "Nobody would see the invisible corpse you left on the ground, but the invisibility would fade in time."
    "Panic would ensue upon its discovery, a fact which only cemented your determination of stopping the spread of these unnatural beings."
    $ persistent.inv_death = True
    jump end_screen
    