## Speed Dating the Sasquatch


label sasquatch_dating:

$ dating_who = 'sasquatch'
$ dated_sasquatch = True

$ random_greeting = renpy.random.randint(1, 3)
$ random_outfit = renpy.random.randint(1,2)

if random_outfit == 1:
    $ sasclothes = '1'
if random_outfit == 2:
    $ sasclothes = '2'

show Sasquatch with dissolve

if random_greeting == 1:
    sas "Hey there!  Let's have a good time, yeah?"
elif random_greeting == 2:
    sas "Howdy, my friend!  You look fine tonight."
elif random_greeting == 3:
    sas "Greetings, friend!  How are you?"
   
sas "You can just call me Sassy."
sas "I know, it's kinda weird, but it's the only thing I could think of."
sas "I didn't know we weren't supposed to use our real names until I got here."

menu:
    "Right...":
        $ sasface = 'neutral'
        sas "So.. uhh...  L'ets get things rolling!"
        jump sas_question1
    "You could just give me your real name.":
        $ sasface = 'alt'
        sas "No no, we should follow the rules."
        sas "We have to get to know each other first."
        jump sas_question1
    "It's fine.  I'm betting I'll get your real name later.":
        $ sas_total_score += 1
        sas "You know, the only way you'll get my name is if we meet again."
        sas "If that's what your aiming for, let's see how things go here first."
        jump sas_question1
label sas_question1:
    $ sasface = 'happy'
    sas "So, watcha wanna know about me?"
    sas "I'm an open book, so feel free to ask me about anything."
    call generic_question from _call_generic_question_12
    sas "You look like someone who could appreciate being out in the wild."
    sas "Do you like things like camping and hiking?"
    menu:
        "Being out in nature bores me.":
            $ sas_total_score -= 1
            $ sasface = 'neutral'
            sas "That's unfortunate."
            sas "There is so much to do, I don't get how you can be bored!"
            jump sas_question2
        "Nothing beats fresh air and the peace of nature.":
            $ sas_total_score += 1
            sas "You're right about that."
            sas "I always feel great while I'm out in the woods or hiking up a mountain."
            sas "Everything about it is so relaxing."
            jump sas_question2
        "I've never been.":
            $ sasface = 'alt'
            sas "Really?"
            $ sasface = 'happy'
            sas "That sounds like something we need to fix!"
            sas "Let me take you one day.  It'll be a blast!"
            jump sas_question2
label sas_question2:
    sas "I'm a bit of an expert when it comes to these things."
    sas "It's something I've been doing my entire life."
    sas "I've seriously walked all across this country!  If I can walk there, I've been there."
    sas "If you're ever in need of a good scenic location, just ask me, and I can give you one."
    call generic_question from _call_generic_question_13
    $ sasface = 'neutral'
    sas "The only negative part is just spending all the time out there alone."
    sas "It can really mess with your head, ya know."
    sas "Don't get me wrong, I love the peace and quiet."
    sas "But, I wouldn't mind having another person out there with me every now and then."
    sas "Do you like spending time alone?"
    menu:
        "I'd much rather be alone.":
            $ sasface = 'alt'
            sas "But wouldn't you want to have someone there too, at least sometimes?"
            sas "You can't always want to be alone."
            sas "I don't think it's healthy either."
            jump sas_question3
        "Time alone is good, but I enjoy company as well.":
            $ sas_total_score += 1
            sas "That's what I'm saying."
            sas "There isn't anything wrong with enjoying time alone."
            sas "But sometimes... it just sucks."
            jump sas_question3
        "You're always going to be alone.":
            $ sas_total_score -= 2
            $ sasface = 'alt'
            sas "Yikes..."
            sas "That's not a very comforting thought."
            sas "Why would you say something mean like that?"
            jump sas_question3
label sas_question3:
    $ sasface = 'neutral'
    sas "I do see other people while I'm out hiking though."
    sas "Buuuut, most of them think I'm some kind of attraction or something!"
    sas "I'd rather talk with them and maybe even join them."
    sas "They'd rather try taking pictures of me or chase me around."
    sas "That can be fun for a bit, but it gets old."
    sas "Is it too much to ask, to have a normal conversation with someone?"
    call generic_question from _call_generic_question_14
    $ sasface = 'happy'
    sas "This event is pretty cool though."
    sas "I don't feel out of place here, and everyone seems nice enough."
    sas "Nobody seems intimidated, and that's a first for me!"
    $ sasface = 'neutral'
    sas "Even if I don't find romance, I'd like to at least find a friend."
    $ sasface = 'alt'
    sas "I've had a hard time getting a date, so it's not like that'll disappoint me any..."
    $ sasface = 'happy'
    sas "A friend would be nice though!"
    $ sasface = 'alt'
    sas "My size and hair tends to turn folks away, I guess."
    $ sasface = 'neutral'
    sas "Would you believe me if I said I shaved for this?"
    sas "Seriously, I did!  Everything was more wild than it is."
    sas "I did want to look presentable, at least."
    sas "And while we're on this topic..."
    sas "What do you think about big, hairy guys?"
    menu:
        "If there's too much hair, I won't go there.":
            $ sas_total_score -= 1
            $ sasface = 'alt'
            sas "Is it realy that big of a deal?"
            sas "I can't help it though..."
            jump end_sas_questions
        "Big and hairy, not so scary.":
            $ sas_total_score += 1
            sas "That's so true!"
            sas "I don't think I'm scary at all."
            sas "Just get to know me, and you'll really see."
            jump end_sas_questions
        "I'll never need a blanket, and I'm okay with that.":
            $ sas_total_score += 2
            $ sasface = 'happy'
            sas "Hahaha, I like that outlook."
            sas "I do put out a lot of heat, so you'd be set there."
            sas "And my fur is really soft!"
            sas "Not to mention, I give the best hugs."
            jump end_sas_questions

label end_sas_questions:
    play sound "sound/time_up.ogg"
    $ renpy.pause(delay=2, hard=True)
    $ sasface = 'neutral'
    sas "Oh, we're done?"
    sas "I hope we get the chance to talk again and that you enjoyed our time together."
    sas "You think I'm a nice guy, right?"
    menu:
        "Ehh, you're not my type.":
            $ sas_total_score -= 1
            $ sasface = 'alt'
            sas "That..."
            sas "{i}sighs{/i}"
            hide Sasquatch with dissolve
            jump rate_your_date_time
        "I do want to spend more time with you.":
            $ sas_total_score += 1
            $ sasface = 'happy'
            sas "Make sure to give me all the best scores then, and we can make it happen!"
            sas "It makes me feel really good, hearing someone say that."
            sas "I hope I can see you again later."
            hide Sasquatch with dissolve
            jump rate_your_date_time

        "You are, and that could be a bad thing for you.":
            $ sasface = 'alt'
            sas "For me?"
            sas "Being nice isn't a bad thing though."
            sas "I'm not really sure what you mean by that, but okay."
            $ sasface = 'happy'
            sas "At least you think I'm nice!"
            hide Sasquatch with dissolve
            jump rate_your_date_time
   