##WW Part Two

label ww_part_two:
    $ wwface = 'happy'
    show Werewolf with dissolve
    ww "Oh boy, it's you again!"
    ww "I'm glad that we were the most compatible."
    ww "You were my favorite person to chat with tonight."
    $ wwface = 'neutral'
    ww "I hope it isn't too forward, but I would really like you to come to my place for dinner."
    ww "It's hard for me to go out in public, so I'd prefer to keep things private."
    ww "I'll cook a good dinner for us, and we can talk some more there."
    ww "If the weather is right, we can even take a stroll through the forest and look at the moon!"
    ww "Here's my address, and if you want to come by tomorrow evening, that'd be great."
    $ wwface = 'happy'
    ww "I really look forward to spending more time with you."
    hide Werewolf with dissolve
    $ music("Stop")
    scene black with dissolve
    play sound "sound/thunder.ogg"
    "Being alone with a monster in the woods was just what you wanted."
    "Like any other wild animal, you had to be prepared for him to strike at any moment."
    "You were looking forward to having a new pelt to add to your wardrobe."
    stop sound      
    $ music("Date")
    scene Cabin with dissolve
    $ wwbody = '2'
    $ wwclothes = '3'
    $ wwface = 'happy'
    show Werewolf with dissolve
    ww "Welcome to my humble abode."
    ww "I'm Shawn, by the way!  We never did exchange real names."
    $ wwface = 'neutral'
    ww "My home isn't much, but it's warm, cozy and perfect for me."
    ww "As you can tell, it's way out in the middle of nowhere."
    ww "I don't really have to worry about anyone bothering me."
    ww "Well, except one time, but that was a while ago."
    ww "Dinner won't take too much longer to cook, so we can chat until it's ready."
    $ wwface = 'happy'
    ww "I'm so happy to have you over."
    $ wwface = 'neutral'
    ww "It's been a long time since I've had a guest over for dinner."
    menu:
        "And I'll be your last.":
            jump ww_death
        "Dinner smells great.":
            $ wwface = 'happy'
            ww "Doesn't it?"
            $ wwface = 'neutral'
            ww "It's a wild boar I caught recently."
            ww "Most of what I live on, I get in the wild."
            ww "I use the furs for clothes and blankets and things like that."
            ww "All of the meat gets eaten, and the bones, I make jewelry and other decorations with."
            ww "I sell them online for some extra cash."
            ww "How?"
            $ wwface = 'happy'
            ww "My cell phone!"
            $ wwface = 'neutral'
            ww "My connection is pretty terrible, but it does what I need."
            ww "I don't really need much tech way out here."
            ww "I enjoy a pretty simple life."
            ww "It's just lonely sometimes."
            ww "I live so far out of the way, I don't get any visitors."
            ww "A lot of people don't like the cold either."
            ww "Annnnd..."
            ww "They don't trust werewolves, at least ones that don't become human anymore."
            ww "We aren't all bad though."
            ww "On the contrary!"
            ww "Most werewolves I know are really friendly."
            ww "There are bad ones that pop up every now and then, but we have ways to handle them."
            ww "There are some werewolf specialists that take care of those."
            ww "We don't need other people coming after us, so we handle our own."
            menu:
                "I can handle them too, and I'll be starting with you.":
                    jump ww_death
                    
                "Have you ever killed someone?":
                    ww "..."
                    ww "I have."
                    ww "When I first became a werewolf, when I had no control."
                    ww "It wasn't my fault..."
                    ww "I... I was so traumatized by it."
                    ww "That's one reason why I live out here by myself."
                    ww "I didn't want it to ever happen again."
                    ww "It never has either, and since I have complete control over myself, I don't worry about it."
                    ww "I hope you won't hold that against me."
                    menu:
                        "Your past mistakes don't define who you are now.":
                            jump ww_talking
                            
                        "You need to atone for what you've done!":
                            jump ww_death
            
label ww_talking:
    $ wwface = 'happy'
    ww "I'd like to think that's true."
    $ wwface = 'neutral'
    ww "They helped to shape me, but they don't define me."
    ww "You know, it's weird..."
    ww "I've never told anyone I've done that."
    ww "There's something about you that makes me feel I can trust you."
    ww "Like, you've been in a similar situation, so you can understand."
    $ wwface = 'happy'
    ww "You aren't a bad person.  I can sense that."
    $ wwface = 'neutral'
    ww "Maybe you've gone through some rough times, but...  you aren't bad."
    menu:
        "If I'm so good, would I shoot you?":
            jump ww_death
            
        "Are you sure about that?":
            ww "Maybe I'm a little too trusting at times..."
            ww "It has gotten me hurt in the past."
            $ wwface = 'mad'
            ww "I can't help it though!"
            $ wwface = 'neutral'
            ww "I think it's part of the canine in me."
            ww "I developed a few weird habits when I became a werewolf."
            ww "Sometimes, I feel like the canine part is trying to take over."
            ww "You know how hard it was for me not to pounce on you when you came through the door?"
            ww "I don't ever have malicious feelings."
            ww "It's silly stuff like...  chasing forest critters or scratching myself."
            ww "I never have these bad urges."
            ww "Regardless, it's scary to think about."
            ww "What happens if I lose control again?"
            ww "What if I can't take myself back?"
            ww "Who knows what I might do..."
            ww "It's terrifying to think about, and there are nights when I can't sleep, cause I think about it."
            ww "*{i}whimpers*{/i}"
            ww "Urk...  Thinking about it now worries me..."
            menu:
                "Can I pet you?":
                    ww "You... want to pet me?"
                    ww "If you want to, okay."
                    ww "..."
                    $ wwface = 'happy'
                    ww "That feels really nice."
                    ww "It makes me feel a lot better too."
                    ww "Thank you."
                    $ wwface = 'neutral'
                    ww "You're really nice."
                    ww "I hope you enjoy the dinner I've prepared, and that..."
                    ww "...that you'll come back again."
                    $ wwface = 'happy'
                    ww "I like you, and I like your company."
                    ww "I don't feel like a freak around you, and that's nice."
                    $ wwface = 'neutral'
                    ww "Even if you don't like dinner, you'll come back, won't you?"
                    ww "I can practice cooking until I make something you like."
                    $ wwface = 'happy'
                    ww "There are lots of things I know how to cook too."
                    $ wwface = 'neutral'
                    ww "I'll keep trying until you're happy with it."
                    menu:
                        "I won't need to come back if you're dead.":
                            jump ww_death
                        "You're a good boy, so of course I'll come back.":
                            $ wwface = 'happy'
                            ww "REALLY?"
                            ww "That makes me so happy to hear."
                            ww "Let me check on dinner, and we can eat and hang out more."
                            ww "Maybe you can pet my head more?  I'd like that."
                            ww "Ear scratches are my favorite."
                            ww "Maybe we can even run around in the forest."
                            ww "The moon is bright tonight."
                            ww "There is so much we can do!"
                            ww "Oh, right!  Food!"
                            ww "I'll be back!"
                            hide Werewolf with dissolve
                            scene black with dissolve
                            "Dinner tasted as stellar as it smelled, and the night wound down in front of the fireplace."
                            "More of his dog-like nature came out, as Shawn lay with his head in your lap with a wagging tail and splayed ears."
                            "In the following months, you got to see more of the werewolf community with him."
                            "They were all normal people trying to lead normal lives, but they struggled with their own inner demons like anyone else."
                            "You began to doubt yourself and wondered if they truly were monsters..."
                            jump end_screen
                    
                "I'll put you down now, so you won't have to worry about it anymore.":
                    jump ww_death
            
label ww_death:
    $ music("Stop")
    $ wwface = 'neutral'
    ww "Huh?"
    ww "H..hey.  What are you doing with a gun?"
    ww "Please, d..don't do anything rash here."
    ww "I was just looking for a friend."
    ww "I'm not a bad werewolf.  I'm really not."
    ww "I... won't do anything bad.  I promise!"
    ww "Just... just give me a chance."
    ww "I'm... I'm a g..."
    play sound "sound/gunshot.ogg"
    $ wwface = 'death'
    with sshake
    ww "W...why...?"
    ww "A... am I..."
    ww "Not... a... good boy?"
    ww "I...I thought..."
    ww "We..."
    ww "We... were gonna..."
    ww "Be friends?"
    play sound "sound/thud.wav"
    hide Werewolf with sshake
    ww "It... it burns so much..."
    ww "P..please..."
    ww "{i}*whimpers*{/i}"
    play sound "sound/gunshot.ogg" 
    with sshake
    ww "..."
    scene black with dissolve
    with Pause(1)
    "The sounds from the beast ceased, and his body lay motionless at your feet."
    "It was up to you to make sure no other people had to endure what he did."
    "You were able to find more information about other werewolves after scouring his house."
    "You had tasked yourself with removing the stain that monsters brought onto the world, and they were to be the start."
    $ persistent.ww_death = True
    jump end_screen