## Speed Dating the Blob


label blob_dating:

$ dating_who = 'blob'
$ dated_blob = True

$ random_greeting = renpy.random.randint(1, 3)
$ random_outfit = renpy.random.randint(1,2)

if random_outfit == 1:
    $ blobclothes = '1'
if random_outfit == 2:
    $ blobclothes = '2'

show Blob with dissolve

if random_greeting == 1:
    blob "Hello, human."
elif random_greeting == 2:
    blob "Greetings, flesh creature."
elif random_greeting == 3:
    blob "Good evening, meat sack."
blob "You look... interesting."
blob "I feel like I've seen you before."
menu:
    "You look disgusting.":
        $ blob_total_score += 1
        $ blobface = 'happy'
        blob "Perfect."
        $ blobface = 'neutral'
        blob "I don't aim to look appealing."
        blob "That's not my thing."
        jump blob_question1
    "We've never met before, else you'd not be here.":
        blob "Oh?"
        blob "You sound confident in that."
        blob "Maybe we'll have to see how true that is later?"
        jump blob_question1
    "I want to touch you.":
        blob "I would advise against any unwanted or surprise touching."
        blob "It might not end well for you."
        jump blob_question1
    
label blob_question1:
    blob "Just call me Borb, and let's get on with this."
    blob "Let's see what we can learn about each other."
    blob "Maybe you're what I'm looking for."
    call generic_question from _call_generic_question_9
    blob "I'm really not here to find romance."
    blob "If that's going to happen, it'll happen, but it's not my goal."
    blob "I'm more looking for a partner to help run my dungeon."
    blob "It's getting so big, it's hard to handle everyone on my own."
    menu:
        "I'm sure I could help with the size.":
            blob "I don't think we have the same idea here..."
            blob "You intentions aren't lined up with me."
            jump blob_question2
        "I'm good at handling monsters, so I could be of help there.":
            $ blob_total_score += 1
            $ blobface = 'happy'
            blob "Is that so?"
            blob "That could be useful, bringing in someone with experience already."
            blob "You'll have to tell me more about that."
            jump blob_question2
        "Why not give up on the dungeon?":
            $ blob_total_score -= 1
            $ blobface = 'mad'
            blob "Are you mad?"
            blob "Running a dungeon is my life."
            blob "I'd never even consider the thought."
            jump blob_question2
    
label blob_question2:
    $ blobface = 'neutral'
    blob "To be honest, I'm not even the meanest monster in my dungeon."
    blob "I have guys that could swallow me with ease, but they know who's boss."
    call generic_question from _call_generic_question_10
    blob "You seem to be somewhat familiar with monsters."
    blob "I get the feeling there is more to you than there seems to be."
    blob "How would you say your knowledge on weapons is?"
    menu:
        "I know what would kill everyone in this room.":
            $ blob_total_score += 1
            blob "That's mildly alarming."
            $ blobface = 'happy'
            blob "And highly exciting."
            $ blobface = 'neutral'
            blob "Can you tell by looking?  Or have you done research?"
            blob "It's intriguing that you're so confident about it."
            jump blob_question3
        "More extensive than yours, I'm sure.":
            $ blob_total_score -= 1
            blob "I wouldn't count on that."
            blob "I've been doing this for decades, so I'm pretty sure your knowledge isn't anywhere near mine."
            jump blob_question3
        "Pointy things are fun to stab with.":
            blob "Uh...huh..."
            blob "I see."
            blob "You... certainly aren't wrong with that statement."
            jump blob_question3
        
label blob_question3:
    blob "I have a bit of a fascination with weapons."
    blob "They make perfect additions to traps in my dungeons to either lure people in..."
    blob "Or just to be used as part of the traps."
    blob "I have to decide what weapons are best for minions in my dungeon too."
    blob "A goblin isn't going to wield a long bow properly, right?"
    call generic_question from _call_generic_question_11
    blob "Time is running out, but I have one more question for you."
    blob "Would you be interested in testing out my dungeon sometime?"
    blob "I can't guarantee your safety, but you seem capable."
    blob "I'd be really interested in seeing how you do in there."
    menu:
        "Only if you're the final boss.":
            $ blob_total_score += 1
            $ blobface = 'happy'
            blob "You can bet your top dollar I will be."
            blob "I'll be looking forward to seeing you make it that far."
            $ blobface = 'neutral'
            blob "It's been a long time since anyone made it to my room."
            jump end_blob_questions
        "Gladly.  It'll help me get closer to my goal.":
            blob "I can set up and time for you to come then, and we'll see what happens."
            blob "Don't count on getting all the way through without an issues though."
            jump end_blob_questions
        "It's not worth my time.":
            $ blob_total_score -= 1
            $ blobface = 'mad'
            blob "Oh, so it's not good enough for you, huh?"
            blob "You don't think my dungeon is dangerous enough?"
            blob "Not rewarding enough?"
            $ blobface = 'neutral'
            blob "I'll have to convince you otherwise."
            jump end_blob_questions

label end_blob_questions:
    play sound "sound/time_up.ogg"
    $ renpy.pause(delay=2, hard=True)
    blob "Just like I thought."
    blob "Keep my offer in mind.  Maybe you'll invade my dungeon one day."
    menu:
        "I'll be sure to kill you too.":
            $ blob_total_score += 1
            $ blobface = 'happy'
            blob "I look forward to you trying."
            blob "Don't get yourself killed before then."
            hide Blob with dissolve
            jump rate_your_date_time
        "I wouldn't count on it.":
            $ blob_total_score -= 1
            blob "You might regret that decision."
            blob "I strongly suggest reconsidering."
            hide Blob with dissolve
            jump rate_your_date_time
            
        "Oh yes, I'll definitely invade your {b}dungeon{/b}.":
            $ blob_total_score += 2
            $ blobface = 'happy'
            blob "Oh my, I like how that sounds."
            blob "Don't keep me waiting."
            hide Blob with dissolve
            jump rate_your_date_time