## Speed Dating the Invisible


label invisible_dating:

$ dating_who = 'invisible'
$ dated_invisible = True

$ random_greeting = renpy.random.randint(1, 3)
$ random_outfit = renpy.random.randint(1,2)

if random_outfit == 1:
    $ invclothes = '1'
if random_outfit == 2:
    $ invclothes = '2'

show Invisible with dissolve

if random_greeting == 1:
    inv "H..hello."
elif random_greeting == 2:
    inv "G..good evening."
elif random_greeting == 3:
    inv "H..hi there."
   
   
menu:
    
    "Ah!":
        inv "Oh, I'm sorry!"
        inv "I didn't mean to startle you."
        jump inv_question1
    "Is someone there?":
        inv "I am!"
        inv "I'm here, you just can't see me."
        inv "I... I'm invisible."
        jump inv_question1
    "What nice glasses you have.":
        $ inv_total_score += 1
        $ invface = 'happy'
        inv "Ah!"
        inv "Th..thank you."
        inv "I'm glad I wore this pair tonight."
        $ invface = 'neutral'
        jump inv_question1
    
label inv_question1:
    inv "Being invisible certainly has its downsides at times."
    inv "I startle a lot of people when I talk, and they can't see me."
    inv "People even comment about being crazy, since they can hear a voice, but not see me..."
    inv "It's bothersome, but I'm getting used to it."
    inv "Oh!  I'm sorry, I'm getting carried away."
    inv "You can call me Bailey."
    inv "So, what would you like to talk about?"
    call generic_question from _call_generic_question_15
    inv "Your clothes are really unique.  I don't see a lot of people who dress like you."
    inv "Do you dress like that all the time, or is it just for tonight?"
    jump inv_question2
    
label inv_question2:
    
    menu:
        
        "Is there something wrong with it?":
            inv "N..no!  There isn't it."
            inv "I just thought it was a really interesting outfit is all."
            jump inv_question3
            
        "This is normal attire.  Do you like it?":
            $ invface = 'happy'
            inv "I do like it."
            inv "It's kind of inspiring."
            $ invface = 'neutral'
            inv "All sorts of things spur ideas in my head, and your outfit is one of those things."
            inv "I might have to write something about it."
            jump inv_question3
            
        "It's a {b}very{/b} special night.":
            inv "Oh?"
            inv "I suppose it is."
            inv "Who knows what could happen?"
            jump inv_question3
            
    
label inv_question3:
    inv "I've enjoyed myself tonight so far."
    inv "There are some interesting people around here."
    inv "What else would you like to know about me?"
    call generic_question from _call_generic_question_16
    inv "Oh, I was wondering..."
    inv "What do you think of all of the monsters here?"
    inv "I've only recently been introduced to them, and they all seem nice."
    menu:
        "They shouldn't exist.":
            $ inv_total_score -= 1
            inv "..."
            $ invface = 'mad'
            inv "That seems a little harsh, doesn't it?"
            inv "They can't help what they were born as."
            $ invface = 'neutral'
            jump inv_question4
        "So far, no complaints.":
            inv "I see."
            inv "Give them some time, and I think you'll come to like them."
            jump inv_question4
        "I'm interested in getting to know them better.":
            $ inv_total_score += 1
            $ invface = 'happy'
            inv "That's good to hear."
            inv "I really would like to get to know them better too."
            $ invface = 'neutral'
            inv "I feel more accepted here, than anywhere else."
            jump inv_question4
         
label inv_question4:
    inv "They aren't that different from us, really."
    inv "They just have to deal with a lot more persecution."
    call generic_question from _call_generic_question_17
    inv "So... what are you looking for in someone here?"
    menu:
        "Who says I'm really interested in anyone?":
            inv "I guess that kinda makes sense."
            inv "None of them might be your type..."
            jump end_inv_questions
        "I'm mostly interested in what makes them tick.":
            inv "What makes them tick?  Like what drives them?"
            inv "I'm not really sure what you mean there."
            inv "Your grin is a little unsettling though..."
            jump end_inv_questions
        "I'm just looking for a friend, really.":
            $ inv_total_score += 1
            inv "I can understand that."
            inv "I'm hoping to come away from this with at least one new person to talk to."
            inv "It would certainly be nice to have someone I can spend time with."
            jump end_inv_questions
    
label end_inv_questions:
    play sound "sound/time_up.ogg"
    $ renpy.pause(delay=2, hard=True)
    inv "Our time is up already?"
    inv "It seemed so short..."
    menu:
        "I'll see you later.":
            $ inv_total_score += 1
            inv "Heeh, I can't tell if that was meant to be a joke or not."
            inv "I'll take it as one."
            inv "Maybe I will see you later."
            hide Invisible with dissolve
            jump rate_your_date_time
        "It seemed like forever.":
            $ inv_total_score -= 1
            inv "Oh, I'm sorry if I bored you."
            inv "Good luck tonight..."
            hide Invisible with dissolve
            jump rate_your_date_time
        "If you're lucky, we won't meet again.":
            $ inv_total_score -= 1
            inv "Huh?"
            inv "I... I don't know what you mean by that."
            inv "I'll certainly take your word for it though..."
            hide Invisible with dissolve
            jump rate_your_date_time