##MEd Part Two

label med_part_two:
    $ medface = 'neutral'
    show Medusa with dissolve
    med "Ah!  How lovely!"
    med "We were just meant to meet again, weren't we?"
    $ medface = 'happy'
    med "This is just absolutely fantastic!"
    med "You don't even have to think of anything for us to do."
    med "I have it covered."
    $ medface = 'neutral'
    med "Here's my address.  Come by tomorrow around two."
    med "We'll do a grand tour of my gardens and have dinner afterwards."
    med "I'm sure you have something nice you can wear, so wear it."
    med "I'll look forward to seeing you then."
    hide Medusa
    $ music("Stop")
    scene black with dissolve
    play sound "sound/thunder.ogg"
    "A massive garden and a dinner date."
    "The perfect place where nobody would hear what you have in mind."
    "You would have to be on your guard though, as the slightest slip-up..."
    "...could result in you becoming a permanent addition to her collection."
    stop sound       
    $ music("Date")
    scene Garden with dissolve
    $ medbody = '2'
    $ medclothes = '3'
    show Medusa with dissolve
    med "Ahhh, welcome to my lovely home, darling!"
    med "You certainly cleaned up well and look so charming."
    med "What do you think of my dress?"
    med "Isn't it just {b}ravishing{/b}?"
    menu:
        "It is, too bad it'll be stained with your blood.":
            $ medface = 'mad'
            med "Stained with my b..."
            jump med_death
        "Absolutely!  You look stunning.":
            $ medface = 'happy'
            med "I knoooow, and I'm glad you agree!"
            med "Now, follow along, let me show you the gardens!"
            med "I think you will find them to be just as stunning."
            $ medface = 'neutral'
            med "Hmm?  The mirror?"
            med "Oh, he's on wheels, and I'll just push him along for now."
            med "Let's see...  first, I'll show you the rose gardens."
            med "It's one of my absolute favorite parts to walk through."
            med "As you can see, I have red roses, pink roses, white roses, yellow roses."
            med "Roses for every occasion really."
            med "A few of them are variegated even, but I do try to keep that under control."
            med "Mixing them together can produce beautiful results."
            med "But letting them mix too much will cause them to overrun the others."
            med "And then there won't be anything unique left."
            med "They'd all be the same, and that'd be too boring."
            jump med_talking
    
label med_talking:
    med "Ahhh, and this is the location of some of my finest statues as well."
    med "The first one here was made in the image of the first person I ever loved."
    $ medface = 'mad'
    med "The feelings weren't reciprocated though, and I was humiliated in front of so many people..."
    $ medface = 'neutral'
    med "This statue brings forth so many emotions that I can't bring myself to get rid of it."
    med "Happiness, anger, sadness..."
    med "It's truly a beautiful creation."
    med "Come along though.  There is so much more to see!"
    $ medface = 'mad'
    med "Ah!"
    med "And please, don't touch any of the flowers."
    $ medface = 'neutral'
    med "They can be quite delicate, and an outsider's touch could harm them."
    $ medface = 'happy'
    med "My lovelies are used to my delicate fingers, so please avoid touching any of them."
    menu:
        "Is your skin so delicate that my touch could harm you as well?":
            med "Heehee, oh my.  Who knows?"
            med "Perhaps we'll find out some time later?"
            med "You hear that babies?"
            med "This one seems okay."
            $ medface = 'neutral'
            med "Ah, here.  Let's take a rest under this gazebo."
            med "It's quite the simple structure, but it's constructed of the most wonderful materials."
            med "I've even decorated it with the perfect lighting and plants to accompany it."
            med "All of the purple flowers growing along those columns are wisteria plants."
            med "They are one of my most favorite plants."
            med "I have another grove of them further in."
            med "They create a massive canopy over the walkway, and it's absolutely stunning."
            med "We'll get there in an hour or so."
            med "There are more little resting spots like this along the way."
            med "Everything you see throughout these gardens..."
            med "I have created myself."
            med "All of the ornaments, I did myself as well."
            $ medface = 'happy'
            med "I loooooove doing these kinds of things."
            med "One day, I'll spread my love of all things beautiful across the world!"
            $ medface = 'neutral'
            med "It's just so hard."
            med "I made some mistakes when I was younger, and people tend to be afraid of me now."
            med "I've not had any luck landing a deal with any TV stations yet."
            $ medface = 'mad'
            med "They say I don't have a face for television."
            med "The {b}nerve{/b} some people have."
            $ medface = 'neutral'
            med "Alas, for now, I'll keep doing what I can around my home."
            med "Perhaps I can host an open house event one day to draw in some more attention."
            med "A few good, high-profile people could be all I need!"
            jump med_talking2
        
        "Would they fare as poorly against my fingers as your flesh would against my sword?":
            med "What do you mean by th..."
            jump med_death
            
label med_talking2:
    menu:
        "Have you considered using the internet?":
            med "The internet?"
            med "Hmmm, I never considering using anything like that."
            med "I don't have the internet out here."
            med "I've never needed it, and I don't trust people to set it up."
            med "Would you be willing to help with that?"
            med "I can't just trust anyone."
            med "My garden is so precious to me, I can't bear the thought of someone hurting it."
            med "If I could use the internet for my needs..."
            med "I could make my own videos, couldn't I?"
            med "There would be no need for it to broadcast on TV."
            $ medface = 'happy'
            med "My beauty could be viewed around the world with ease!"
            med "How have I never thought of this..."
            med "I could show them gardening tips and tricks."
            med "I could offer decorating ideas and how to do it yourself."
            med "I could even do fashion shows and makeup tutorials!"
            med "This would make the entire world just that much more beautiful!"
            med "Oh my goodness, how exciting!  Even my little babies could be famous."
            med "I can feel them getting all excited about the idea too."
            jump med_talking3
            
        "Open house?  What about open wounds?":
            med "What?  That makes no sen..."
            jump med_death

label med_talking3:
    med "We might have to speed this date up and move straight to dinner."
    med "There is so much I need to share with the world!"
    med "Just think about it..."
    med "It could bring so much beauty and joy!"
    med "I've always wanted to make the world a more beautiful place..."
    med "I might finally be able to do it!"
    $ medface = 'neutral'
    med "Will you help me?"
    med "Please say you will."
    menu:
        "Of course I will.":
            $ medface = 'happy'
            med "{i}*gasps*{/i}"
            med "Wonderful!"
            $ medface = 'neutral'
            med "I need to pick your brain more, and I can share my ideas with you!"
            med "Dinner will still take some time to be prepared, so we might as well continue this date."
            med "I'm so excited, I was getting ahead of myself."
            med "You know..."
            med "When I was a little girl..."
            $ medface = 'mad'
            med "I was always told I was ugly."
            med "That nobody would ever love me."
            med "All because I'm some monster."
            $ medface = 'happy'
            med "My mother always told me otherwise though."
            med "'Everyone is beautiful!' she'd tell me."
            med "I always believed her.  I always will."
            $ medface = 'neutral'
            med "Now... now I can spread that message to everyone!"
            med "I can help everyone!"
            med "Nobody should be treated like I was when I was younger..."
            med "Everyone needs to know, they are beautiful!"
            med "I'll be sure to share this message..."
            $ medface = 'happy'
            med "Come along now!"
            med "Let's continue!"
            hide Medusa
            scene black with dissolve
            with Pause(1)
            "Her love for beauty and desire to share it with the world touched you."
            "You didn't feel any malice or evil from her and saw nothing but a genuine passion."
            "Along with your help, she used that passion to drive herself to success."
            "Lives of monsters and humans were changed with her help, and the world became a more beautiful place for everyone."
            jump end_screen
            
            
        "I'll help you die!":
            med "What?"
            jump med_death
    
label med_death:
    $ music("Stop")
    play sound "sound/decapitate.wav"
    with flash
    $ medface = 'death'
    med "Gurk..."
    play sound "sound/thud.wav"
    hide Medusa with sshake
    med "..."
    scene black with dissolve
    with Pause(1)
    "A monster who'd claimed countless victims lay in a pool of blood at your feet."
    "In time, her gardens withered and her statues crumbled."
    "The world became just a little uglier, but it was a small price to pay in your quest of purging monsters from the land."
    $ persistent.med_death = True
    jump end_screen