## Speed Dating the Medusa


label medusa_dating:

$ dating_who = 'medusa'
$ dated_medusa = True

$ random_greeting = renpy.random.randint(1, 3)
$ random_outfit = renpy.random.randint(1,2)

if random_outfit == 1:
    $ medclothes = '1'
if random_outfit == 2:
    $ medclothes = '2'

show Medusa with dissolve

if random_greeting == 1:
    med "Why hello, darling."
elif random_greeting == 2:
    med "Why good evening.  I hope this night finds you well."
elif random_greeting == 3:
    med "Mmmm, charmed to make your acquaintance."
    
    
med "Do pardon me for not facing you, but as you can see by this poor creature here..."
med "It's best if we don't look each other directly in the eyes."

menu:
    
    "What's with the snakes?":
        med "My babies?"
        med "I'm sorry if they bother you, but they are here to stay."
        jump medusa_question_1
    "You look lovely tonight.":
        $ med_total_score += 1
        $ medface = 'happy'
        med "Why thank you!"
        med "I feel positively exquisite, and I'm glad someone else can appreciate that."
        jump medusa_question_1
    "It's best if we don't look at each other anyway.":
        $ med_total_score -= 1
        $ medface = 'mad'
        med "Exactly what do you mean by that?"
        med "I hope that isn't intended as something negative."
        jump medusa_question_1
        
label medusa_question_1:
    $ medface = 'neutral'
    med "You can call me Sue, by the way."
    med "You might as well start the night off with the first question."
    call generic_question from _call_generic_question_18
    med "I wish we were in a more beautiful place..."
    med "This decor is just so bland here."
    med "There isn't enough light, and the colors are just so... gross."
    med "Someone really should hire an interior decorator to spruce things up around here."
    menu:
        "I think it's pleasant.":
            $ med_total_score -= 1
            med "Ugh..."
            med "What poor taste."
            jump medusa_question2 
        "Why don't you fix it?":
            $ med_total_score += 1
            med "I'm sure I could."
            med "Who knows what kind of turnout they'd have next time?"
            $ medface = 'happy'
            med "Just imagine how glorious it would be!"
            $ medface = 'neutral'
            med "I really could turn this place around..."
            med "Add an extra light there, and a potted tree there..."
            $ medface = 'happy'
            med "Oh, this could be fun!"
            jump medusa_question2
        "Aren't you being a little picky?":
            $ med_total_score -= 1
            med "Oh hardly."
            med "I'm sure you could ask anyone, and they'd tell you the same thing."
            med "It's so drab."
            jump medusa_question2
label medusa_question2:
    $ medface = 'neutral'
    med "It's been so long since I've tried doing something like this."
    med "I've found it so difficult to connect with others lately."
    med "The general monster population around my home has been thinning out."
    med "Normal humans don't dare come near me either, and if they do, it's only ever to try and murder me."
    med "That never tends to go well for them."
    call generic_question from _call_generic_question_19
    med "So tell me, how do you like the outfit I'm wearing?"
    med "Fabulous, isn't it?"
    menu:
        "If you say so.":
            $ med_total_score -= 1
            $ medface = 'mad'
            med "I do say so."
            $ medface = 'neutral'
            med "And so has every other person I've spoken with tonight."
            jump medusa_question3
        "It's marvelously exquisite.  You are true beauty!":
            $ med_total_score += 1
            $ medface = 'happy'
            med "Ahh, you certainly know how to make a girl feel good, don't you?"
            med "I didn't want to be too fancy, but I still wanted to look good."
            med "I think I found the perfect balance for this evening."
            $ medface = 'neutral'
            jump medusa_question3
        "Is that the best you had to wear?":
            $ med_total_score -= 1
            $ medface = 'mad'
            med "Look me in the eyes and say that again."
            med "You really should reconsider what you've said."
            $ medface = 'neutral'
            med "Albeit, it isn't the {b}best{/b} I have."
            med "It's good enough for the occasion though."
            jump medusa_question3
label medusa_question3:
    med "I love being fashionable."
    med "Life should look beauuuutiful all the time!"
    med "I really strive to make all aspects of my life as such."
    med "My home is the absolute model of perfect beauty."
    call generic_question from _call_generic_question_20
    med "What do you think is a model of perfect beauty?"
    menu:
        "Me.":
            med "Eugh..."
            med "You have an... interesting idea of beauty."
            med "To each their own, I suppose."
            med "You might need to have your eyes checked though."
            jump end_medusa_questions
        "You.":
            $ med_total_score += 1
            $ medface = 'happy'
            med "Oh darling, you flatter me!"
            med "I cannot deny that I am perfect example though."
            med "I mean, just look at me."
            med "Aren't I just absolutely stunning?"
            $ medface = 'neutral'
            jump end_medusa_questions
            
        "Death.":
            $ med_total_score -= 1
            med "Ugh, there is nothing beautiful about death."
            med "It's the most opposite to beauty that you can get."
            jump end_medusa_questions

label end_medusa_questions:
    play sound "sound/time_up.ogg"
    $ renpy.pause(delay=2, hard=True)
    med "There's the bell, so our time together has come to an end."
    med "It's been... interesting, to say the least."
    med "Perhaps we'll meet again.  I might be able to help you achieve true beauty."
    menu:
        "I don't need your help.":
            med "If that's what you believe."
            med "Look me up when you realize you're wrong though."
            hide Medusa with dissolve
            jump rate_your_date_time
        "Your guidance would be most welcomed.":
            $ med_total_score += 1
            $ medface = 'happy'
            med "And I would be more than happy to give it!"
            med "We shall bring out your truest beauty!"
            hide Medusa with dissolve
            jump rate_your_date_time
        "You don't look like you should help anyone.":
            $ med_total_score -= 1
            med "You're right."
            $ medface = 'mad'
            med "Especially when they are so ungrateful."
            med "Good evening to you."
            hide Medusa with dissolve
            jump rate_your_date_time
    
