##sas Part Two

label sas_part_two:
    $ sasface = 'neutral'
    show Sasquatch with dissolve
    sas "What do ya know?"
    $ sasface = 'happy'
    sas "Looks like we get to spend some more time together!"
    $ sasface = 'neutral'
    sas "Well, I suppose as long as you want to."
    sas "You might not have the same idea of a fun day out that I do."
    sas "You're willing to try though, aren't ya?"
    sas "Tell you what, meet me tomorrow morning at the Goliathe Mountain Park."
    sas "Follow the signs to trail three, and I'll meet you there to lead you back to my camp."
    sas "We can do some hiking after, and I can show you some of my favorite spots."
    sas "I'll even prepare snacks and lunch for us, so you don't have to worry about that."
    sas "Wear shoes you can walk in and dress comfortably."
    sas "The weather has been kind of cool, so keep that in mind."
    $ sasface = 'happy'
    sas "I'll see you then!"
    hide Sasquatch with dissolve
    $ music("Stop")
    scene black with dissolve
    play sound "sound/thunder.ogg"
    "He was the only known one of his kind, and he always stirred up panic wherever he went."
    "It was time for his reign of terror to come to an end, and you had the perfect idea on how to handle him."
    "The extinction of one monster would put you that much closer to your goal of a monsterless world."
    stop sound      
    $ music("Date")
    scene Trees with dissolve
    $ sasbody = '2'
    $ sasclothes = '3'
    $ sasface = 'neutral'
    show Sasquatch with dissolve
    sas "Ahh, it's such a good morning!"
    sas "I'm really glad you made it out here."
    sas "I wasn't sure you'd show up or not, but it looks like you did."
    sas "This is my current camping spot.  I've been here for about two weeks."
    sas "It's far off the path and kinda hidden away, so nobody bothers me."
    $ sasface = 'happy'
    sas "So, are you ready to get started?  We have a good hike ahead of us."
    sas "I have water and snacks in my bag, so if you get hungry or thirsty, feel free to take something."
    menu:
        "Check his bag and poison his food.":
            $ sasface = 'neutral'
            sas "Oh sure, you can take a look at what I brought, then we can get started!"
            jump sas_death
            
        "So, where are we heading?":
            $ sasface = 'neutral'
            sas "We have three destinations."
            sas "The first one is a secluded pond that has a waterfall flowing through it near the base of the mountain."
            sas "It's maybe thirty minutes from here."
            sas "Next is this enoooooormous cave!"
            sas "I've camped there a few times."
            sas "It goes really deep into the mountain, but I can only go so far before I don't fit anymore."
            sas "Lastly, will be the summit overlooking the valley."
            sas "It's a long hike, but in the end, it's totally worth it."
            sas "Going back down is a lot easier too."
            sas "I know of a couple of really good shortcuts to get us back faster."
            sas "It'll be fun!"
            sas "Let's get started.  We should get to the top around noon."
            $ sasface = 'happy'
            sas "I can't think of a time when I've ever had someone to join me on a hike."
            sas "Words can't even express how happy it makes me."
            $ sasface = 'neutral'
            sas "I'm sorry if I talk too much too."
            sas "There is so much that I've wanted to talk about with someone."
            sas "I've just never had the chance."
            sas "And of all the people, it's just a normal person!"
            sas "Are you not afraid of me?"
            jump sas_talking
label sas_talking:
    menu:
        "You don't scare me at all.":
            sas "That's comforting to hear."
            sas "If there's one of you, I'm sure there are more!"
        "You don't scare me, but you terrify countless others.":
            sas "Yeah, that seems to be the case..."
            sas "It's not like I do it on purpose though."
    sas "Nobody ever gives me the chance to show them that I'm pretty nice."
    sas "I don't crave human flesh.  I don't want to hurt people."
    sas "I would just like to wander around in nature and maybe enjoy it with someone else occasionally."
    sas "Is that really too much to ask for?"
    sas "But never mind that now."
    $ sasface = 'happy'
    sas "I have you!"
    sas "And I'm gonna make the most of it."
    $ sasface = 'neutral'
    sas "Let's see...  I should tell you a bit more about myself."
    sas "I'm thirty-five.  I'm a Gemini."
    sas "I like nature and hiking and sleeping under the stars."
    sas "I'm a pretty simple guy.  It doesn't take much to make me smile."
    sas "I enjoy the little things in life."
    sas "Like these trees!"
    sas "Look at all the colors of them!"
    sas "I'm really excited to get to the top, so you can see the entire valley."
    sas "This is the best time of year to go up there."
    sas "The leaves haven't started falling off just yet, but they are changing colors."
    sas "Red, orange, yellow, brown and some green ones even."
    sas "The sight is absolutely breathtaking."
    sas "I never get tired of seeing it..."
    sas "There's this one place I went to, and I had to climb up a rock wall."
    sas "I set my tent up near the edge, overlooking a canyon, and when I woke up, the sun was rising."
    sas "I got to watch it come up over the world and illuminate everything in a beautiful golden light."
    sas "Maybe I can take you there one day!"
    menu:
        "Tell him you're thirsty and poison his food.":
            sas "Oh, sure thing.  Get what you want, and we'll keep going!"
            jump sas_death
        "That sounds like it could be fun.":
            sas "Oh trust me, it would be!"
            sas "Let's see..."
            sas "It's about a day or two's walk from here."
            sas "There are a lot of places to stop along the way!"
            sas "Hm?  Driving?"
            sas "Oh, if you have a car, I guess that would make things faster."
            sas "Would I fit in your car?"
            sas "I've seen them, but I've never been in one!"
            $ sasface = 'happy'
            sas "Hehehe, that sounds like fun!"
            $ sasface = 'neutral'
            sas "I mean, we'd miss a lot of stuff, but a drive in a car would be great!"
            sas "You have to promise to take me, if you're gonna tease me with it."
            jump sas_talking2
            
label sas_talking2:   
    menu:
        "I promise":
            $ sasface = 'happy'
            sas "Haha, I'll hold you to it then!"
            sas "Don't let me down, okay?"
            $ sasface = 'neutral'
            sas "Oh oh, look look!"
            sas "Up on the tip-top of that pine tree!"
            sas "That's a ferruginous hawk!"
            sas "The name refers to their color, and they are the largest hawks in the country!"
            sas "I've seen them pick up small critters and carry them away in an instant."
            sas "They are quite the hunters."
            sas "I'm sure it's watching something from way up there, just waiting for the perfect opening to strike."
            sas "In the blink of an eye, it'll swoop in, snag its prey and be gone."
            sas "They are so majestic!"
            sas "Ahhh..."
            sas "I really love being out here."
            sas "Thank you for joining me today."
            sas "You have no idea how much better this is, having someone with me."
            sas "You seriously have no idea how little interaction I have with people."
            sas "Everything I know... is just from watching people interact."
            sas "I've witnessed a lot in my life."
            sas "I've seen people having fun, how happy it makes them to be with each other..."
            sas "It really makes me long for something like that."
            $ sasface = 'alt'
            sas "On the other hand..."
            sas "I've also seen some terrible people too."
            sas "That's when I tend to make myself known on purpose."
            $ sasface = 'neutral'
            sas "Not to brag, but I've put an end to some pretty nasty fights before."
            sas "All it takes is a single..."
            sas "ROOOOOOOOAAAR!" with sshake
            sas "It sends everyone running, but it breaks up the fighting too."
            sas "Hm?"
            $ sasface = 'happy'
            sas "Whoops, did I startle you?"
            $ sasface = 'neutral'
            sas "Sorry!"
            sas "That might also draw the attention of some other people around..."
            sas "We might want to run now!"
            sas "I have the company I want today, so I don't need any more!"
            hide Sasquatch with dissolve
            sas "Try to keep up!"
            menu:
                "He dropped his bag...  Now's the time to poison his food!":
                    jump sas_death
                "He dropped his bag...  I should take it and catch up!":
                    scene black with dissolve
                    "With his bag in hand, you chased him through the trees, only he intended for you to catch up to him."
                    "You continued the hike with him, listening to the experiences of his life."
                    "Things he had done, things he had seen, things he wanted to do..."
                    "He had hopes and dreams, just like any normal person, not like those you'd expect from a monster."
                    jump end_screen
            
            
        "I'll definitely take you for a ride ({i}after you're dead!{/i}).":
            $ sasface = 'happy'
            sas "Haha, great!"
            sas "Oh, you want a drink?"
            sas" Let's take a quick break then!"
            jump sas_death
    
label sas_death:
    hide Sasquatch with dissolve
    scene black with dissolve
    with Pause(1)
    scene Trees with dissolve
    $ sasface = 'death'
    show Sasquatch with dissolve
    sas "Oh man, I'm not feeling too good..."
    sas "Maybe I ate something that didn't set well with me."
    sas "Was it the snacks I grabbed?  Were they just expired?"
    sas "Wh...what did I eat?"
    sas "Ugh...  I... I'm sorry."
    sas "I'm ruining this date."
    $ music("Stop")
    sas "Huh?  It... it's your fault?"
    sas "You... you did what?"
    sas "Poison?"
    sas "W..why would you do that?!"
    sas "A... monster?"
    sas "But I've... never hurt anyone in my life..."
    sas "Urk..."
    play sound "sound/thud.wav"
    hide Sasquatch with sshake
    sas "I... I'm not a monster though."
    sas "Guurk... I... I'm..."
    sas "I'm really friendly."
    sas "People... people just don't... don't give me..."
    sas "Hnng... a... a chance."
    sas "I... I don't... I don't want to die."
    sas "N...not like this..."
    sas "Grrk...Not... a... alone."
    sas "Urrrgh!"
    sas "Gk..."
    sas "..."
    scene black with dissolve
    with Pause(1)
    "The poison took its toll on him quickly, bringing his heart to a sudden, painful stop."
    "Dragging his body back to your car was no easy task, but there would never be any report of this monster."
    "In time, he was never spoken of again; his kind was officially eradicated."
    "This only put you one step closer to attaining what you felt was the perfect world."
    $ persistent.sas_death = True
    jump end_screen