##vamp Part Two

label vamp_part_two:
    $ vampface = 'neutral'
    show Vampire with dissolve
    vamp "I'm surprised to find that I matched with anyone."
    vamp "I can't help but to feel really nervous about it."
    vamp "But I'm really excited about it."
    vamp "Unless you have something we can do, I have an idea."
    vamp "It could be a lot of fun, but it'll give us a chance to talk more."
    vamp "I'd really like to get to know you a little more."
    vamp "Let's exchange phone numbers, and I'll text you the idea later."
    vamp "We can meet up this weekend."
    vamp "I suppose I'll see you again soon."
    hide Vampire
    $ music("Stop")
    scene black with dissolve
    play sound "sound/thunder.ogg"
    "You returned to your home, awaiting the directions for the weekend date."
    "Who knew what the fiend would have in store for you?"
    "Night fell, and it was time to make your move..."
    stop sound
    $ music("Date")
    scene Theater with dissolve
    $ vampbody = '2'
    $ vampclothes = '3'
    show Vampire with dissolve
    vamp "I'm so relieved you thought this was a good idea..."
    vamp "A dark theater, late at night, makes for a fun little date, right?"
    vamp "What's better is that this movie has been playing so long, I doubt anyone else will show up."
    vamp "There's about an hour until the movie starts, so we can always talk until then."
    menu:
        "I have no time to waste with you, so die!":
            jump vamp_death
            
        "What did you want to talk about?":
            vamp "I'm not sure, really."
            vamp "I'd just like to get to know more about you."
            vamp "I've not been on a date with anyone in such a long time..."
            vamp "Haha, and I have an eternity to live for."
            vamp "It would make more sense for me to date another vampire, huh?"
            vamp "I'll outlive anyone else I date."
            vamp "How much will it suck to fall in love and get married, only to have them die and leave me alone?"
            vamp "It's kind of pointless, isn't it?"
            jump vamp_talking
            
label vamp_talking:
    menu:
        "I can make sure you don't outlive anyone!":
            jump vamp_death
        "It's better to have loved and lost, than to never have loved at all.":
            vamp "Hah, that's so cliché."
            vamp "I've been in love though..."
            vamp "Losing that love hurt to the point that I don't know if I'd want to experience it again."
            vamp "I was on top of the world during that time."
            vamp "But it was such a long, painful fall back to the bottom."
            vamp "It's been twenty years, and I still haven't really gotten over that."
            vamp "Twenty years..."
            vamp "I've been a vampire for twenty years already."
            jump vamp_talking2
            
label vamp_talking2:
    menu:
        "Twenty years for both?  Does that mean...":
            vamp "Yeah..."
            vamp "My first love is the reason why I'm a vampire."
            vamp "I was naive and the prospect of being together forever was too much to pass up."
            vamp "Soooo, I took the bite and became... this thing."
            vamp "If I could, I'd travel back in time and punch myself."
            vamp "It was the worst decision I've ever made."
            vamp "I only wanted to feel accepted, and did what I could to do so."
            vamp "Turns out, I was the side-dude that got cast aside only days after converting."
            vamp "Man, those times were tough."
            vamp "I didn't know what was going on, and I was so scared."
            vamp "I would have gone insane had one of my other friends not been there for me."
            vamp "I don't plan on ever passing this curse on to anyone else."
            vamp "Nobody deserves this."
            menu:
                "I won't let you pass it on either.":
                    jump vamp_death
                    
                "What if you find true love?":
                    vamp "Unless they are also immortal, then I guess I'll have to learn to say goodbye."
                    vamp "It'll suck, but I don't really want to spend eternity alone either."
                    vamp "I guess it comes with the territory."
                    vamp "But man, listen to me."
                    vamp "I don't mean to be all depressive.  I want to have fun tonight."
                    vamp "It's been a while since I've really talked to anyone about it."
                    vamp "I have a hard time going out and meeting up with people."
                    vamp "I really forced myself to come out tonight."
                    vamp "It's nothing to do with who I'm seeing mind you, it's just... hard."
                    vamp "You'd think that after the last twenty years, that would be something I'd get over."
                    vamp "Looks like it's going to take a lot longer."
                    vamp "Who knows, if we hang out more, maybe I'll get over it faster!"
                    jump vamp_talking3

        "Twenty years too long, so let's end it now!":
            jump vamp_death
            
label vamp_talking3:    
    vamp "That's enough about that though.  I keep getting off track."
    vamp "Your outfit looks so much different than what you wore the other night."
    vamp "It's almost like you're a different person."
    vamp "I really think it suits you.  You look good!"
    
    menu:
        "You're looking pretty handsome yourself.":
            vamp "Oh!"
            vamp "Th..thank you."
            vamp "I made it myself."
            vamp "I've been sewing for quite some time."
            vamp "I have a hard time finding clothes I like, so I just make my own."
            vamp "It would be fun to have my own fashion line."
            vamp "I have all the time in the world to perfect my craft, so maybe one day."
            vamp "I get so nervous about submitting my ideas to companies or participating in runway events."
            vamp "Just the thought of it makes me sweaty and nauseous."
            vamp "I never follow through with my plans on just doing it."
            $ vampface = 'mad'
            vamp "It's aggravating."
            vamp "I get too frustrated with myself!"
            $ vampface = 'neutral'
            vamp "I would like to be able to do stuff with more people."
            vamp "Or to be able to put myself out there for everyone to see."
            vamp "I just can't though."
            menu:
                "You need someone to help you, I think.":
                    vamp "Maybe..."
                    vamp "Who would want to help me though?"
                    vamp "I can be kind of pathetic at times, in case you couldn't tell."
                    vamp "Argh, there I go again!"
                    vamp "I'm sorry..."
                    vamp "You're pretty cool though, listening to me."
                    vamp "Anyone else would have just gotten up and left by this point."
                    vamp "It's kinda making me feel better."
                    vamp "Maybe you're right.  Maybe I just need someone to help me."
                    vamp "Someone to listen."
                    vamp "I haven't have a friend genuinely listen to me in ages."
                    vamp "They say I whine and mope too much."
                    vamp "It sucks."
                    vamp "Huh?  \"Just like me\"?"
                    vamp "Oh, haha.  Vampire joke."
                    vamp "Heh..."
                    vamp "Thanks."
                    vamp "You're not too bad, you know that?"
                    menu:
                        "You won't be saying that when I plunge this stake through your heart.":
                            jump vamp_death
                        
                        "You're not too bad yourself.":
                            vamp "Hahaha, you're just saying that."
                            vamp "But I'm glad you are.  I actually feel a lot better now."
                            vamp "How about I go get us some drinks and snacks?"
                            vamp "Our movie will be starting soon!"
                            vamp "Save my seat for me!"
                            hide Vampire with dissolve
                            scene black with dissolve
                            "One night ended, then another, then a week, then a month..."
                            "You spent more and more time with him, and in time, his attitude changed."
                            "It seems all he needed was a friend to be there for him."
                            "He was no monster to you."                             
                            "The monsters were those he kept at bay inside of him, but with your help, he was able to fight them."
                            jump end_screen
                    
                    
                "You can't do anything if you're dead.":
                    jump vamp_death
            
            
        "I hope it's what you want to be buried in, since it's the last thing you'll ever wear!":
            jump vamp_death
    
label vamp_death:
    $ music("Stop")
    vamp "Ahahaha, what?"
    $ vampface = 'neutral'
    vamp "What's that?"
    vamp "A... a stake?"
    vamp "Why do you have one of those with...  Oh..."
    $ vampface = 'mad'
    vamp "Wait a minute, that stuff is just a myth with vampires."
    vamp "You... you aren't planning to..."
    vamp "W..wait, don't!"
    play sound "sound/stake.wav"
    $ vampface = 'death'
    with sshake
    vamp "Gurk!"
    vamp "H...haha..."
    vamp "Doesn't look like... I'll live forever, huh?"
    play sound "sound/thud.wav"
    hide Vampire with sshake
    vamp "I... guess... that isn't so bad..."
    vamp "..."
    scene black with dissolve
                                 
                                 
    $ persistent.vamp_death = True
    
    
    
    
    
    
    
    
    
    
    
    